Upstream information

CVE-2021-31215 at MITRE

Description

SchedMD Slurm before 20.02.7 and 20.03.x through 20.11.x before 20.11.7 allows remote code execution as SlurmUser because use of a PrologSlurmctld or EpilogSlurmctld script leads to environment mishandling.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.5
Vector AV:N/AC:L/Au:S/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication Single
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 8.8 8.6
Vector CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:H
Access Vector Network Network
Access Complexity Low Low
Privileges Required Low None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High Low
Integrity Impact High Low
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1186024 [IN_PROGRESS]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS
  • libnss_slurm2_20_02 >= 20.02.7-3.19.1
  • libnss_slurm2_20_11 >= 20.11.7-3.11.1
  • libpmi0 >= 18.08.9-3.19.1
  • libpmi0_20_02 >= 20.02.7-3.19.1
  • libpmi0_20_11 >= 20.11.7-3.11.1
  • libslurm32 >= 17.11.13-6.37.1
  • libslurm33 >= 18.08.9-3.19.1
  • libslurm35 >= 20.02.7-3.19.1
  • libslurm36 >= 20.11.7-3.11.1
  • perl-slurm >= 18.08.9-3.19.1
  • perl-slurm_20_02 >= 20.02.7-3.19.1
  • perl-slurm_20_11 >= 20.11.7-3.11.1
  • slurm >= 18.08.9-3.19.1
  • slurm-auth-none >= 18.08.9-3.19.1
  • slurm-config >= 18.08.9-3.19.1
  • slurm-config-man >= 18.08.9-3.19.1
  • slurm-devel >= 18.08.9-3.19.1
  • slurm-doc >= 18.08.9-3.19.1
  • slurm-lua >= 18.08.9-3.19.1
  • slurm-munge >= 18.08.9-3.19.1
  • slurm-node >= 18.08.9-3.19.1
  • slurm-pam_slurm >= 18.08.9-3.19.1
  • slurm-plugins >= 18.08.9-3.19.1
  • slurm-slurmdbd >= 18.08.9-3.19.1
  • slurm-sql >= 18.08.9-3.19.1
  • slurm-sview >= 18.08.9-3.19.1
  • slurm-torque >= 18.08.9-3.19.1
  • slurm_20_02 >= 20.02.7-3.19.1
  • slurm_20_02-auth-none >= 20.02.7-3.19.1
  • slurm_20_02-config >= 20.02.7-3.19.1
  • slurm_20_02-config-man >= 20.02.7-3.19.1
  • slurm_20_02-devel >= 20.02.7-3.19.1
  • slurm_20_02-doc >= 20.02.7-3.19.1
  • slurm_20_02-lua >= 20.02.7-3.19.1
  • slurm_20_02-munge >= 20.02.7-3.19.1
  • slurm_20_02-node >= 20.02.7-3.19.1
  • slurm_20_02-pam_slurm >= 20.02.7-3.19.1
  • slurm_20_02-plugins >= 20.02.7-3.19.1
  • slurm_20_02-slurmdbd >= 20.02.7-3.19.1
  • slurm_20_02-sql >= 20.02.7-3.19.1
  • slurm_20_02-sview >= 20.02.7-3.19.1
  • slurm_20_02-torque >= 20.02.7-3.19.1
  • slurm_20_02-webdoc >= 20.02.7-3.19.1
  • slurm_20_11 >= 20.11.7-3.11.1
  • slurm_20_11-auth-none >= 20.11.7-3.11.1
  • slurm_20_11-config >= 20.11.7-3.11.1
  • slurm_20_11-config-man >= 20.11.7-3.11.1
  • slurm_20_11-devel >= 20.11.7-3.11.1
  • slurm_20_11-doc >= 20.11.7-3.11.1
  • slurm_20_11-lua >= 20.11.7-3.11.1
  • slurm_20_11-munge >= 20.11.7-3.11.1
  • slurm_20_11-node >= 20.11.7-3.11.1
  • slurm_20_11-pam_slurm >= 20.11.7-3.11.1
  • slurm_20_11-plugins >= 20.11.7-3.11.1
  • slurm_20_11-slurmdbd >= 20.11.7-3.11.1
  • slurm_20_11-sql >= 20.11.7-3.11.1
  • slurm_20_11-sview >= 20.11.7-3.11.1
  • slurm_20_11-torque >= 20.11.7-3.11.1
  • slurm_20_11-webdoc >= 20.11.7-3.11.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP1-ESPOS-2021-1790
SUSE-SLE-Product-HPC-15-SP1-ESPOS-2021-1793
SUSE-SLE-Product-HPC-15-SP1-ESPOS-2021-1811
SUSE-SLE-Product-HPC-15-SP1-ESPOS-2021-1855
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS
  • libnss_slurm2_20_02 >= 20.02.7-3.19.1
  • libnss_slurm2_20_11 >= 20.11.7-3.11.1
  • libpmi0 >= 18.08.9-3.19.1
  • libpmi0_20_02 >= 20.02.7-3.19.1
  • libpmi0_20_11 >= 20.11.7-3.11.1
  • libslurm32 >= 17.11.13-6.37.1
  • libslurm33 >= 18.08.9-3.19.1
  • libslurm35 >= 20.02.7-3.19.1
  • libslurm36 >= 20.11.7-3.11.1
  • perl-slurm >= 18.08.9-3.19.1
  • perl-slurm_20_02 >= 20.02.7-3.19.1
  • perl-slurm_20_11 >= 20.11.7-3.11.1
  • slurm >= 18.08.9-3.19.1
  • slurm-auth-none >= 18.08.9-3.19.1
  • slurm-config >= 18.08.9-3.19.1
  • slurm-config-man >= 18.08.9-3.19.1
  • slurm-devel >= 18.08.9-3.19.1
  • slurm-doc >= 18.08.9-3.19.1
  • slurm-lua >= 18.08.9-3.19.1
  • slurm-munge >= 18.08.9-3.19.1
  • slurm-node >= 18.08.9-3.19.1
  • slurm-pam_slurm >= 18.08.9-3.19.1
  • slurm-plugins >= 18.08.9-3.19.1
  • slurm-slurmdbd >= 18.08.9-3.19.1
  • slurm-sql >= 18.08.9-3.19.1
  • slurm-sview >= 18.08.9-3.19.1
  • slurm-torque >= 18.08.9-3.19.1
  • slurm_20_02 >= 20.02.7-3.19.1
  • slurm_20_02-auth-none >= 20.02.7-3.19.1
  • slurm_20_02-config >= 20.02.7-3.19.1
  • slurm_20_02-config-man >= 20.02.7-3.19.1
  • slurm_20_02-devel >= 20.02.7-3.19.1
  • slurm_20_02-doc >= 20.02.7-3.19.1
  • slurm_20_02-lua >= 20.02.7-3.19.1
  • slurm_20_02-munge >= 20.02.7-3.19.1
  • slurm_20_02-node >= 20.02.7-3.19.1
  • slurm_20_02-pam_slurm >= 20.02.7-3.19.1
  • slurm_20_02-plugins >= 20.02.7-3.19.1
  • slurm_20_02-slurmdbd >= 20.02.7-3.19.1
  • slurm_20_02-sql >= 20.02.7-3.19.1
  • slurm_20_02-sview >= 20.02.7-3.19.1
  • slurm_20_02-torque >= 20.02.7-3.19.1
  • slurm_20_02-webdoc >= 20.02.7-3.19.1
  • slurm_20_11 >= 20.11.7-3.11.1
  • slurm_20_11-auth-none >= 20.11.7-3.11.1
  • slurm_20_11-config >= 20.11.7-3.11.1
  • slurm_20_11-config-man >= 20.11.7-3.11.1
  • slurm_20_11-devel >= 20.11.7-3.11.1
  • slurm_20_11-doc >= 20.11.7-3.11.1
  • slurm_20_11-lua >= 20.11.7-3.11.1
  • slurm_20_11-munge >= 20.11.7-3.11.1
  • slurm_20_11-node >= 20.11.7-3.11.1
  • slurm_20_11-pam_slurm >= 20.11.7-3.11.1
  • slurm_20_11-plugins >= 20.11.7-3.11.1
  • slurm_20_11-slurmdbd >= 20.11.7-3.11.1
  • slurm_20_11-sql >= 20.11.7-3.11.1
  • slurm_20_11-sview >= 20.11.7-3.11.1
  • slurm_20_11-torque >= 20.11.7-3.11.1
  • slurm_20_11-webdoc >= 20.11.7-3.11.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP1-LTSS-2021-1790
SUSE-SLE-Product-HPC-15-SP1-LTSS-2021-1793
SUSE-SLE-Product-HPC-15-SP1-LTSS-2021-1811
SUSE-SLE-Product-HPC-15-SP1-LTSS-2021-1855
SUSE Linux Enterprise High Performance Computing 15 SP2
  • libnss_slurm2_20_11 >= 20.11.7-6.5.1
  • libpmi0_20_11 >= 20.11.7-6.5.1
  • libslurm36 >= 20.11.7-6.5.1
  • perl-slurm_20_11 >= 20.11.7-6.5.1
  • slurm_20_11 >= 20.11.7-6.5.1
  • slurm_20_11-auth-none >= 20.11.7-6.5.1
  • slurm_20_11-config >= 20.11.7-6.5.1
  • slurm_20_11-config-man >= 20.11.7-6.5.1
  • slurm_20_11-devel >= 20.11.7-6.5.1
  • slurm_20_11-doc >= 20.11.7-6.5.1
  • slurm_20_11-lua >= 20.11.7-6.5.1
  • slurm_20_11-munge >= 20.11.7-6.5.1
  • slurm_20_11-node >= 20.11.7-6.5.1
  • slurm_20_11-pam_slurm >= 20.11.7-6.5.1
  • slurm_20_11-plugins >= 20.11.7-6.5.1
  • slurm_20_11-slurmdbd >= 20.11.7-6.5.1
  • slurm_20_11-sql >= 20.11.7-6.5.1
  • slurm_20_11-sview >= 20.11.7-6.5.1
  • slurm_20_11-torque >= 20.11.7-6.5.1
  • slurm_20_11-webdoc >= 20.11.7-6.5.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP2-2021-2295
SUSE Linux Enterprise High Performance Computing 15-ESPOS
SUSE Linux Enterprise High Performance Computing 15-LTSS
  • libpmi0 >= 17.11.13-6.37.1
  • libpmi0_18_08 >= 18.08.9-1.14.1
  • libslurm32 >= 17.11.13-6.37.1
  • libslurm33 >= 18.08.9-1.14.1
  • perl-slurm >= 17.11.13-6.37.1
  • perl-slurm_18_08 >= 18.08.9-1.14.1
  • slurm >= 17.11.13-6.37.1
  • slurm-auth-none >= 17.11.13-6.37.1
  • slurm-config >= 17.11.13-6.37.1
  • slurm-devel >= 17.11.13-6.37.1
  • slurm-doc >= 17.11.13-6.37.1
  • slurm-lua >= 17.11.13-6.37.1
  • slurm-munge >= 17.11.13-6.37.1
  • slurm-node >= 17.11.13-6.37.1
  • slurm-pam_slurm >= 17.11.13-6.37.1
  • slurm-plugins >= 17.11.13-6.37.1
  • slurm-slurmdbd >= 17.11.13-6.37.1
  • slurm-sql >= 17.11.13-6.37.1
  • slurm-torque >= 17.11.13-6.37.1
  • slurm_18_08 >= 18.08.9-1.14.1
  • slurm_18_08-auth-none >= 18.08.9-1.14.1
  • slurm_18_08-config >= 18.08.9-1.14.1
  • slurm_18_08-devel >= 18.08.9-1.14.1
  • slurm_18_08-doc >= 18.08.9-1.14.1
  • slurm_18_08-lua >= 18.08.9-1.14.1
  • slurm_18_08-munge >= 18.08.9-1.14.1
  • slurm_18_08-node >= 18.08.9-1.14.1
  • slurm_18_08-pam_slurm >= 18.08.9-1.14.1
  • slurm_18_08-plugins >= 18.08.9-1.14.1
  • slurm_18_08-slurmdbd >= 18.08.9-1.14.1
  • slurm_18_08-sql >= 18.08.9-1.14.1
  • slurm_18_08-torque >= 18.08.9-1.14.1
Patchnames:
SUSE-SLE-Product-HPC-15-2021-1855
SUSE-SLE-Product-HPC-15-2021-1856
SUSE Linux Enterprise Module for High Performance Computing 12
  • libnss_slurm2_20_02 >= 20.02.7-3.11.1
  • libnss_slurm2_20_11 >= 20.11.7-3.8.1
  • libpmi0 >= 17.02.11-6.50.1
  • libpmi0_18_08 >= 18.08.9-3.14.1
  • libpmi0_20_02 >= 20.02.7-3.11.1
  • libpmi0_20_11 >= 20.11.7-3.8.1
  • libslurm31 >= 17.02.11-6.50.1
  • libslurm33 >= 18.08.9-3.14.1
  • libslurm35 >= 20.02.7-3.11.1
  • libslurm36 >= 20.11.7-3.8.1
  • perl-slurm >= 17.02.11-6.50.1
  • perl-slurm_18_08 >= 18.08.9-3.14.1
  • perl-slurm_20_02 >= 20.02.7-3.11.1
  • perl-slurm_20_11 >= 20.11.7-3.8.1
  • slurm >= 17.02.11-6.50.1
  • slurm-auth-none >= 17.02.11-6.50.1
  • slurm-config >= 17.02.11-6.50.1
  • slurm-devel >= 17.02.11-6.50.1
  • slurm-doc >= 17.02.11-6.50.1
  • slurm-lua >= 17.02.11-6.50.1
  • slurm-munge >= 17.02.11-6.50.1
  • slurm-pam_slurm >= 17.02.11-6.50.1
  • slurm-plugins >= 17.02.11-6.50.1
  • slurm-sched-wiki >= 17.02.11-6.50.1
  • slurm-slurmdb-direct >= 17.02.11-6.50.1
  • slurm-slurmdbd >= 17.02.11-6.50.1
  • slurm-sql >= 17.02.11-6.50.1
  • slurm-torque >= 17.02.11-6.50.1
  • slurm_18_08 >= 18.08.9-3.14.1
  • slurm_18_08-auth-none >= 18.08.9-3.14.1
  • slurm_18_08-config >= 18.08.9-3.14.1
  • slurm_18_08-devel >= 18.08.9-3.14.1
  • slurm_18_08-doc >= 18.08.9-3.14.1
  • slurm_18_08-lua >= 18.08.9-3.14.1
  • slurm_18_08-munge >= 18.08.9-3.14.1
  • slurm_18_08-node >= 18.08.9-3.14.1
  • slurm_18_08-pam_slurm >= 18.08.9-3.14.1
  • slurm_18_08-plugins >= 18.08.9-3.14.1
  • slurm_18_08-slurmdbd >= 18.08.9-3.14.1
  • slurm_18_08-sql >= 18.08.9-3.14.1
  • slurm_18_08-torque >= 18.08.9-3.14.1
  • slurm_20_02 >= 20.02.7-3.11.1
  • slurm_20_02-auth-none >= 20.02.7-3.11.1
  • slurm_20_02-config >= 20.02.7-3.11.1
  • slurm_20_02-config-man >= 20.02.7-3.11.1
  • slurm_20_02-devel >= 20.02.7-3.11.1
  • slurm_20_02-doc >= 20.02.7-3.11.1
  • slurm_20_02-lua >= 20.02.7-3.11.1
  • slurm_20_02-munge >= 20.02.7-3.11.1
  • slurm_20_02-node >= 20.02.7-3.11.1
  • slurm_20_02-pam_slurm >= 20.02.7-3.11.1
  • slurm_20_02-plugins >= 20.02.7-3.11.1
  • slurm_20_02-slurmdbd >= 20.02.7-3.11.1
  • slurm_20_02-sql >= 20.02.7-3.11.1
  • slurm_20_02-sview >= 20.02.7-3.11.1
  • slurm_20_02-torque >= 20.02.7-3.11.1
  • slurm_20_11 >= 20.11.7-3.8.1
  • slurm_20_11-auth-none >= 20.11.7-3.8.1
  • slurm_20_11-config >= 20.11.7-3.8.1
  • slurm_20_11-config-man >= 20.11.7-3.8.1
  • slurm_20_11-devel >= 20.11.7-3.8.1
  • slurm_20_11-doc >= 20.11.7-3.8.1
  • slurm_20_11-lua >= 20.11.7-3.8.1
  • slurm_20_11-munge >= 20.11.7-3.8.1
  • slurm_20_11-node >= 20.11.7-3.8.1
  • slurm_20_11-pam_slurm >= 20.11.7-3.8.1
  • slurm_20_11-plugins >= 20.11.7-3.8.1
  • slurm_20_11-slurmdbd >= 20.11.7-3.8.1
  • slurm_20_11-sql >= 20.11.7-3.8.1
  • slurm_20_11-sview >= 20.11.7-3.8.1
  • slurm_20_11-torque >= 20.11.7-3.8.1
  • slurm_20_11-webdoc >= 20.11.7-3.8.1
Patchnames:
SUSE-SLE-Module-HPC-12-2021-1787
SUSE-SLE-Module-HPC-12-2021-1788
SUSE-SLE-Module-HPC-12-2021-1789
SUSE-SLE-Module-HPC-12-2021-1791
SUSE Linux Enterprise Module for High Performance Computing 15 SP2
  • libnss_slurm2 >= 20.02.7-3.6.1
  • libnss_slurm2_20_11 >= 20.11.7-6.5.1
  • libpmi0 >= 20.02.7-3.6.1
  • libpmi0_20_11 >= 20.11.7-6.5.1
  • libslurm35 >= 20.02.7-3.6.1
  • libslurm36 >= 20.11.7-6.5.1
  • perl-slurm >= 20.02.7-3.6.1
  • perl-slurm_20_11 >= 20.11.7-6.5.1
  • slurm >= 20.02.7-3.6.1
  • slurm-auth-none >= 20.02.7-3.6.1
  • slurm-config >= 20.02.7-3.6.1
  • slurm-config-man >= 20.02.7-3.6.1
  • slurm-devel >= 20.02.7-3.6.1
  • slurm-doc >= 20.02.7-3.6.1
  • slurm-lua >= 20.02.7-3.6.1
  • slurm-munge >= 20.02.7-3.6.1
  • slurm-node >= 20.02.7-3.6.1
  • slurm-pam_slurm >= 20.02.7-3.6.1
  • slurm-plugins >= 20.02.7-3.6.1
  • slurm-slurmdbd >= 20.02.7-3.6.1
  • slurm-sql >= 20.02.7-3.6.1
  • slurm-sview >= 20.02.7-3.6.1
  • slurm-torque >= 20.02.7-3.6.1
  • slurm-webdoc >= 20.02.7-3.6.1
  • slurm_20_11 >= 20.11.7-6.5.1
  • slurm_20_11-auth-none >= 20.11.7-6.5.1
  • slurm_20_11-config >= 20.11.7-6.5.1
  • slurm_20_11-config-man >= 20.11.7-6.5.1
  • slurm_20_11-devel >= 20.11.7-6.5.1
  • slurm_20_11-doc >= 20.11.7-6.5.1
  • slurm_20_11-lua >= 20.11.7-6.5.1
  • slurm_20_11-munge >= 20.11.7-6.5.1
  • slurm_20_11-node >= 20.11.7-6.5.1
  • slurm_20_11-pam_slurm >= 20.11.7-6.5.1
  • slurm_20_11-plugins >= 20.11.7-6.5.1
  • slurm_20_11-slurmdbd >= 20.11.7-6.5.1
  • slurm_20_11-sql >= 20.11.7-6.5.1
  • slurm_20_11-sview >= 20.11.7-6.5.1
  • slurm_20_11-torque >= 20.11.7-6.5.1
  • slurm_20_11-webdoc >= 20.11.7-6.5.1
Patchnames:
SUSE-SLE-Module-HPC-15-SP2-2021-1810
SUSE-SLE-Module-HPC-15-SP2-2021-2295
SUSE Linux Enterprise Module for High Performance Computing 15 SP3
  • libnss_slurm2 >= 20.11.7-4.3.1
  • libpmi0 >= 20.11.7-4.3.1
  • libslurm36 >= 20.11.7-4.3.1
  • perl-slurm >= 20.11.7-4.3.1
  • slurm >= 20.11.7-4.3.1
  • slurm-auth-none >= 20.11.7-4.3.1
  • slurm-config >= 20.11.7-4.3.1
  • slurm-config-man >= 20.11.7-4.3.1
  • slurm-devel >= 20.11.7-4.3.1
  • slurm-doc >= 20.11.7-4.3.1
  • slurm-lua >= 20.11.7-4.3.1
  • slurm-munge >= 20.11.7-4.3.1
  • slurm-node >= 20.11.7-4.3.1
  • slurm-pam_slurm >= 20.11.7-4.3.1
  • slurm-plugins >= 20.11.7-4.3.1
  • slurm-rest >= 20.11.7-4.3.1
  • slurm-slurmdbd >= 20.11.7-4.3.1
  • slurm-sql >= 20.11.7-4.3.1
  • slurm-sview >= 20.11.7-4.3.1
  • slurm-torque >= 20.11.7-4.3.1
  • slurm-webdoc >= 20.11.7-4.3.1
Patchnames:
SUSE-SLE-Module-HPC-15-SP3-2021-2473
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP2
  • libnss_slurm2 >= 20.02.7-3.6.1
  • libpmi0 >= 20.02.7-3.6.1
  • libpmi0_18_08 >= 18.08.9-1.14.1
  • libpmi0_20_02 >= 20.02.7-3.19.1
  • libslurm32 >= 17.11.13-6.37.1
  • libslurm33 >= 18.08.9-3.19.1
  • libslurm35 >= 20.02.7-3.6.1
  • perl-slurm >= 20.02.7-3.6.1
  • perl-slurm_18_08 >= 18.08.9-1.14.1
  • perl-slurm_20_02 >= 20.02.7-3.19.1
  • slurm >= 20.02.7-3.6.1
  • slurm-auth-none >= 20.02.7-3.6.1
  • slurm-config >= 20.02.7-3.6.1
  • slurm-config-man >= 20.02.7-3.6.1
  • slurm-cray >= 20.02.7-3.6.1
  • slurm-devel >= 20.02.7-3.6.1
  • slurm-doc >= 20.02.7-3.6.1
  • slurm-hdf5 >= 20.02.7-3.6.1
  • slurm-lua >= 20.02.7-3.6.1
  • slurm-munge >= 20.02.7-3.6.1
  • slurm-node >= 20.02.7-3.6.1
  • slurm-openlava >= 20.02.7-3.6.1
  • slurm-pam_slurm >= 20.02.7-3.6.1
  • slurm-plugins >= 20.02.7-3.6.1
  • slurm-rest >= 20.02.7-3.6.1
  • slurm-seff >= 20.02.7-3.6.1
  • slurm-sjstat >= 20.02.7-3.6.1
  • slurm-slurmdbd >= 20.02.7-3.6.1
  • slurm-sql >= 20.02.7-3.6.1
  • slurm-sview >= 20.02.7-3.6.1
  • slurm-torque >= 20.02.7-3.6.1
  • slurm-webdoc >= 20.02.7-3.6.1
  • slurm_18_08 >= 18.08.9-1.14.1
  • slurm_18_08-auth-none >= 18.08.9-1.14.1
  • slurm_18_08-config >= 18.08.9-1.14.1
  • slurm_18_08-config-man >= 18.08.9-1.14.1
  • slurm_18_08-cray >= 18.08.9-1.14.1
  • slurm_18_08-devel >= 18.08.9-1.14.1
  • slurm_18_08-doc >= 18.08.9-1.14.1
  • slurm_18_08-hdf5 >= 18.08.9-1.14.1
  • slurm_18_08-lua >= 18.08.9-1.14.1
  • slurm_18_08-munge >= 18.08.9-1.14.1
  • slurm_18_08-node >= 18.08.9-1.14.1
  • slurm_18_08-openlava >= 18.08.9-1.14.1
  • slurm_18_08-pam_slurm >= 18.08.9-1.14.1
  • slurm_18_08-plugins >= 18.08.9-1.14.1
  • slurm_18_08-seff >= 18.08.9-1.14.1
  • slurm_18_08-sjstat >= 18.08.9-1.14.1
  • slurm_18_08-slurmdbd >= 18.08.9-1.14.1
  • slurm_18_08-sql >= 18.08.9-1.14.1
  • slurm_18_08-sview >= 18.08.9-1.14.1
  • slurm_18_08-torque >= 18.08.9-1.14.1
  • slurm_18_08-webdoc >= 18.08.9-1.14.1
  • slurm_20_02 >= 20.02.7-3.19.1
  • slurm_20_02-auth-none >= 20.02.7-3.19.1
  • slurm_20_02-config >= 20.02.7-3.19.1
  • slurm_20_02-config-man >= 20.02.7-3.19.1
  • slurm_20_02-cray >= 20.02.7-3.19.1
  • slurm_20_02-devel >= 20.02.7-3.19.1
  • slurm_20_02-doc >= 20.02.7-3.19.1
  • slurm_20_02-hdf5 >= 20.02.7-3.19.1
  • slurm_20_02-lua >= 20.02.7-3.19.1
  • slurm_20_02-munge >= 20.02.7-3.19.1
  • slurm_20_02-node >= 20.02.7-3.19.1
  • slurm_20_02-openlava >= 20.02.7-3.19.1
  • slurm_20_02-pam_slurm >= 20.02.7-3.19.1
  • slurm_20_02-plugins >= 20.02.7-3.19.1
  • slurm_20_02-rest >= 20.02.7-3.19.1
  • slurm_20_02-seff >= 20.02.7-3.19.1
  • slurm_20_02-sjstat >= 20.02.7-3.19.1
  • slurm_20_02-slurmdbd >= 20.02.7-3.19.1
  • slurm_20_02-sql >= 20.02.7-3.19.1
  • slurm_20_02-sview >= 20.02.7-3.19.1
  • slurm_20_02-torque >= 20.02.7-3.19.1
  • slurm_20_02-webdoc >= 20.02.7-3.19.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP2-2021-1790
SUSE-SLE-Module-Development-Tools-OBS-15-SP2-2021-1810
SUSE-SLE-Module-Development-Tools-OBS-15-SP2-2021-1811
SUSE-SLE-Module-Development-Tools-OBS-15-SP2-2021-1855
SUSE-SLE-Module-Development-Tools-OBS-15-SP2-2021-1856
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP3
  • libnss_slurm2 >= 20.11.7-4.3.1
  • libnss_slurm2_20_02 >= 20.02.7-3.19.1
  • libnss_slurm2_20_11 >= 20.11.7-3.11.1
  • libpmi0 >= 20.11.7-4.3.1
  • libpmi0_18_08 >= 18.08.9-1.14.1
  • libpmi0_20_02 >= 20.02.7-3.19.1
  • libpmi0_20_11 >= 20.11.7-3.11.1
  • libslurm32 >= 17.11.13-6.37.1
  • libslurm33 >= 18.08.9-3.19.1
  • libslurm35 >= 20.02.7-3.6.1
  • libslurm36 >= 20.11.7-4.3.1
  • perl-slurm >= 20.11.7-4.3.1
  • perl-slurm_18_08 >= 18.08.9-1.14.1
  • perl-slurm_20_02 >= 20.02.7-3.19.1
  • perl-slurm_20_11 >= 20.11.7-3.11.1
  • slurm >= 20.11.7-4.3.1
  • slurm-auth-none >= 20.11.7-4.3.1
  • slurm-config >= 20.11.7-4.3.1
  • slurm-config-man >= 20.11.7-4.3.1
  • slurm-cray >= 20.11.7-4.3.1
  • slurm-devel >= 20.11.7-4.3.1
  • slurm-doc >= 20.11.7-4.3.1
  • slurm-hdf5 >= 20.11.7-4.3.1
  • slurm-lua >= 20.11.7-4.3.1
  • slurm-munge >= 20.11.7-4.3.1
  • slurm-node >= 20.11.7-4.3.1
  • slurm-openlava >= 20.11.7-4.3.1
  • slurm-pam_slurm >= 20.11.7-4.3.1
  • slurm-plugins >= 20.11.7-4.3.1
  • slurm-rest >= 20.11.7-4.3.1
  • slurm-seff >= 20.11.7-4.3.1
  • slurm-sjstat >= 20.11.7-4.3.1
  • slurm-slurmdbd >= 20.11.7-4.3.1
  • slurm-sql >= 20.11.7-4.3.1
  • slurm-sview >= 20.11.7-4.3.1
  • slurm-torque >= 20.11.7-4.3.1
  • slurm-webdoc >= 20.11.7-4.3.1
  • slurm_18_08 >= 18.08.9-1.14.1
  • slurm_18_08-auth-none >= 18.08.9-1.14.1
  • slurm_18_08-config >= 18.08.9-1.14.1
  • slurm_18_08-config-man >= 18.08.9-1.14.1
  • slurm_18_08-cray >= 18.08.9-1.14.1
  • slurm_18_08-devel >= 18.08.9-1.14.1
  • slurm_18_08-doc >= 18.08.9-1.14.1
  • slurm_18_08-hdf5 >= 18.08.9-1.14.1
  • slurm_18_08-lua >= 18.08.9-1.14.1
  • slurm_18_08-munge >= 18.08.9-1.14.1
  • slurm_18_08-node >= 18.08.9-1.14.1
  • slurm_18_08-openlava >= 18.08.9-1.14.1
  • slurm_18_08-pam_slurm >= 18.08.9-1.14.1
  • slurm_18_08-plugins >= 18.08.9-1.14.1
  • slurm_18_08-seff >= 18.08.9-1.14.1
  • slurm_18_08-sjstat >= 18.08.9-1.14.1
  • slurm_18_08-slurmdbd >= 18.08.9-1.14.1
  • slurm_18_08-sql >= 18.08.9-1.14.1
  • slurm_18_08-sview >= 18.08.9-1.14.1
  • slurm_18_08-torque >= 18.08.9-1.14.1
  • slurm_18_08-webdoc >= 18.08.9-1.14.1
  • slurm_20_02 >= 20.02.7-3.19.1
  • slurm_20_02-auth-none >= 20.02.7-3.19.1
  • slurm_20_02-config >= 20.02.7-3.19.1
  • slurm_20_02-config-man >= 20.02.7-3.19.1
  • slurm_20_02-cray >= 20.02.7-3.19.1
  • slurm_20_02-devel >= 20.02.7-3.19.1
  • slurm_20_02-doc >= 20.02.7-3.19.1
  • slurm_20_02-hdf5 >= 20.02.7-3.19.1
  • slurm_20_02-lua >= 20.02.7-3.19.1
  • slurm_20_02-munge >= 20.02.7-3.19.1
  • slurm_20_02-node >= 20.02.7-3.19.1
  • slurm_20_02-openlava >= 20.02.7-3.19.1
  • slurm_20_02-pam_slurm >= 20.02.7-3.19.1
  • slurm_20_02-plugins >= 20.02.7-3.19.1
  • slurm_20_02-rest >= 20.02.7-3.19.1
  • slurm_20_02-seff >= 20.02.7-3.19.1
  • slurm_20_02-sjstat >= 20.02.7-3.19.1
  • slurm_20_02-slurmdbd >= 20.02.7-3.19.1
  • slurm_20_02-sql >= 20.02.7-3.19.1
  • slurm_20_02-sview >= 20.02.7-3.19.1
  • slurm_20_02-torque >= 20.02.7-3.19.1
  • slurm_20_02-webdoc >= 20.02.7-3.19.1
  • slurm_20_11 >= 20.11.7-3.11.1
  • slurm_20_11-auth-none >= 20.11.7-3.11.1
  • slurm_20_11-config >= 20.11.7-3.11.1
  • slurm_20_11-config-man >= 20.11.7-3.11.1
  • slurm_20_11-cray >= 20.11.7-3.11.1
  • slurm_20_11-devel >= 20.11.7-3.11.1
  • slurm_20_11-doc >= 20.11.7-3.11.1
  • slurm_20_11-hdf5 >= 20.11.7-3.11.1
  • slurm_20_11-lua >= 20.11.7-3.11.1
  • slurm_20_11-munge >= 20.11.7-3.11.1
  • slurm_20_11-node >= 20.11.7-3.11.1
  • slurm_20_11-openlava >= 20.11.7-3.11.1
  • slurm_20_11-pam_slurm >= 20.11.7-3.11.1
  • slurm_20_11-plugins >= 20.11.7-3.11.1
  • slurm_20_11-rest >= 20.11.7-3.11.1
  • slurm_20_11-seff >= 20.11.7-3.11.1
  • slurm_20_11-sjstat >= 20.11.7-3.11.1
  • slurm_20_11-slurmdbd >= 20.11.7-3.11.1
  • slurm_20_11-sql >= 20.11.7-3.11.1
  • slurm_20_11-sview >= 20.11.7-3.11.1
  • slurm_20_11-torque >= 20.11.7-3.11.1
  • slurm_20_11-webdoc >= 20.11.7-3.11.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP3-2021-1790
SUSE-SLE-Module-Development-Tools-OBS-15-SP3-2021-1793
SUSE-SLE-Module-Development-Tools-OBS-15-SP3-2021-1810
SUSE-SLE-Module-Development-Tools-OBS-15-SP3-2021-1811
SUSE-SLE-Module-Development-Tools-OBS-15-SP3-2021-1855
SUSE-SLE-Module-Development-Tools-OBS-15-SP3-2021-1856
SUSE-SLE-Module-Development-Tools-OBS-15-SP3-2021-2473
openSUSE Leap 15.2
  • libnss_slurm2 >= 20.02.7-lp152.2.6.1
  • libnss_slurm2-debuginfo >= 20.02.7-lp152.2.6.1
  • libpmi0 >= 20.02.7-lp152.2.6.1
  • libpmi0-debuginfo >= 20.02.7-lp152.2.6.1
  • libslurm35 >= 20.02.7-lp152.2.6.1
  • libslurm35-debuginfo >= 20.02.7-lp152.2.6.1
  • perl-slurm >= 20.02.7-lp152.2.6.1
  • perl-slurm-debuginfo >= 20.02.7-lp152.2.6.1
  • slurm >= 20.02.7-lp152.2.6.1
  • slurm-auth-none >= 20.02.7-lp152.2.6.1
  • slurm-auth-none-debuginfo >= 20.02.7-lp152.2.6.1
  • slurm-config >= 20.02.7-lp152.2.6.1
  • slurm-config-man >= 20.02.7-lp152.2.6.1
  • slurm-cray >= 20.02.7-lp152.2.6.1
  • slurm-cray-debuginfo >= 20.02.7-lp152.2.6.1
  • slurm-debuginfo >= 20.02.7-lp152.2.6.1
  • slurm-debugsource >= 20.02.7-lp152.2.6.1
  • slurm-devel >= 20.02.7-lp152.2.6.1
  • slurm-doc >= 20.02.7-lp152.2.6.1
  • slurm-hdf5 >= 20.02.7-lp152.2.6.1
  • slurm-hdf5-debuginfo >= 20.02.7-lp152.2.6.1
  • slurm-lua >= 20.02.7-lp152.2.6.1
  • slurm-lua-debuginfo >= 20.02.7-lp152.2.6.1
  • slurm-munge >= 20.02.7-lp152.2.6.1
  • slurm-munge-debuginfo >= 20.02.7-lp152.2.6.1
  • slurm-node >= 20.02.7-lp152.2.6.1
  • slurm-node-debuginfo >= 20.02.7-lp152.2.6.1
  • slurm-openlava >= 20.02.7-lp152.2.6.1
  • slurm-pam_slurm >= 20.02.7-lp152.2.6.1
  • slurm-pam_slurm-debuginfo >= 20.02.7-lp152.2.6.1
  • slurm-plugins >= 20.02.7-lp152.2.6.1
  • slurm-plugins-debuginfo >= 20.02.7-lp152.2.6.1
  • slurm-rest >= 20.02.7-lp152.2.6.1
  • slurm-rest-debuginfo >= 20.02.7-lp152.2.6.1
  • slurm-seff >= 20.02.7-lp152.2.6.1
  • slurm-sjstat >= 20.02.7-lp152.2.6.1
  • slurm-slurmdbd >= 20.02.7-lp152.2.6.1
  • slurm-slurmdbd-debuginfo >= 20.02.7-lp152.2.6.1
  • slurm-sql >= 20.02.7-lp152.2.6.1
  • slurm-sql-debuginfo >= 20.02.7-lp152.2.6.1
  • slurm-sview >= 20.02.7-lp152.2.6.1
  • slurm-sview-debuginfo >= 20.02.7-lp152.2.6.1
  • slurm-torque >= 20.02.7-lp152.2.6.1
  • slurm-torque-debuginfo >= 20.02.7-lp152.2.6.1
  • slurm-webdoc >= 20.02.7-lp152.2.6.1
Patchnames:
openSUSE-2021-821


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise High Performance Computing 15 LTSS slurm Released
SUSE Linux Enterprise High Performance Computing 15 LTSS slurm_18_08 Released
SUSE Linux Enterprise High Performance Computing 15 SP1 ESPOS slurm Released
SUSE Linux Enterprise High Performance Computing 15 SP1 ESPOS slurm_20_02 Released
SUSE Linux Enterprise High Performance Computing 15 SP1 ESPOS slurm_20_11 Released
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS slurm Released
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS slurm_20_02 Released
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS slurm_20_11 Released
SUSE Linux Enterprise High Performance Computing 15 SP2 slurm_20_11 In progress
SUSE Linux Enterprise Module for HPC 12 slurm Released
SUSE Linux Enterprise Module for HPC 12 slurm_18_08 Released
SUSE Linux Enterprise Module for HPC 12 slurm_20_02 Released
SUSE Linux Enterprise Module for HPC 12 slurm_20_11 Released
SUSE Linux Enterprise Module for HPC 12 slurmlibs In progress
SUSE Linux Enterprise Module for HPC 12 SP2 slurm Released
SUSE Linux Enterprise Module for HPC 12 SP2 slurm_18_08 Released
SUSE Linux Enterprise Module for HPC 15 SP2 slurm In progress
SUSE Linux Enterprise Module for HPC 15 SP2 slurm_20_11 In progress
SUSE Linux Enterprise Module for HPC 15 SP3 slurm Released
SUSE Linux Enterprise Server ESPOS 15 slurm Released
SUSE Linux Enterprise Server ESPOS 15 slurm_18_08 Released